import { resolve } from 'path'

export default {
  devServer: {
    port: 8080,
    domain: '',
    https: false,
    ssl: {
      key: '',
      cert: ''
      // ca: ''
    }
  },
  pages: {
    index: {
      entry: resolve('./src/pages/index/main.js'),
      title: 'home page'
    },
    '@wcui/index': {
      entry: resolve('./src/pages/@wcui/index/main.js'),
      title: 'home page'
    },
    '@wcui/docs': {
      entry: resolve('./src/pages/@wcui/docs/main.js'),
      title: 'home page'
    },
    playground: {
      entry: resolve('./src/pages/playground/main.js'),
      title: '@bd/ui Playground'
    }
  },

  imports: {
    vue: '//jscdn.ink/vue/3.2.47/vue.runtime.esm-browser.prod.js',
    'vue-router': '//jscdn.ink/@bytedo/vue-router/4.1.6/vue-router.js',
    fetch: '//jscdn.ink/@bytedo/fetch/latest/next.js',
    '@bytedo/editor': '//jscdn.ink/@bytedo/editor/latest/index.js',
    '@bytedo/gzip': '//jscdn.ink/@bytedo/gzip/latest/index.js',
    '@bd/core': '//jscdn.ink/@bd/core/latest/index.js'
  }
}
